uniform lowp vec4 fColor;
uniform lowp sampler2D fTexture;
uniform lowp sampler2D fPattern;
uniform mediump float fPatternScale;
varying mediump vec2 fTexCoord;

void main() {
 lowp vec4 frag=texture2D(fTexture, fTexCoord);
 //bitmap image is gray and white, convert it to black/transparent and white/opaque with grey -> white and white->black
 if (frag.r>0.9)
	frag=vec4(0.0,0.0,0.0,0.0);
 else
	frag=vec4(1.0,1.0,1.0,1.0);
 //Multiply with pattern 
 frag*=texture2D(fPattern, fTexCoord/fPatternScale);
 //Discard transparent parts
 if (frag.a==0.0) discard;
 gl_FragColor = frag;
}
