Texture2D fTexture : register(t0);
Texture2D fPattern : register(t1);
SamplerState samLinear : register(s0);

cbuffer cbp : register(b1)
{
	float4 fColor;
	float fPatternScale;
};

float4 PShader(float4 position : SV_POSITION, float2 texcoord : TEXCOORD) : SV_TARGET
{
 float4 frag=fTexture.Sample(samLinear, fTexCoord);
 //bitmap image is gray and white, convert it to black/transparent and white/opaque with grey -> white and white->black
 if (frag.r>0.9)
	frag=float4(0.0,0.0,0.0,0.0);
 else
	frag=float4(1.0,1.0,1.0,1.0);
 //Multiply with pattern 
 frag*=fPattern.Sample(samLinear,fTexCoord/fPatternScale);
 //Discard transparent parts
 if (frag.a==0.0) discard;
 return frag;
}
