
local shader=Shader.new("vShader","fShader",0,
{
{name="vMatrix",type=Shader.CMATRIX,sys=Shader.SYS_WVP,vertex=true},
{name="fColor",type=Shader.CFLOAT4,sys=Shader.SYS_COLOR,vertex=false},
{name="fTexture",type=Shader.CTEXTURE,vertex=false},
{name="fPattern",type=Shader.CTEXTURE,vertex=false},
{name="fPatternScale",type=Shader.CFLOAT,vertex=false},
},
{
{name="vVertex",type=Shader.DFLOAT,mult=3,slot=0,offset=0},
{name="vColor",type=Shader.DUBYTE,mult=4,slot=1,offset=0},
{name="vTexCoord",type=Shader.DFLOAT,mult=2,slot=2,offset=0},
});

print(shader:isValid())
local tbitmap=Texture.new("bitmap.png",true)
local bmw,bmh=tbitmap:getWidth(),tbitmap:getHeight()
local tpattern=Texture.new("texture.png",true,{wrap = Texture.REPEAT})
print(bmw,bmh)
local mesh=Mesh.new()
mesh:setVertexArray(0,0,bmw,0,bmw,bmh,0,bmh)
mesh:setTextureCoordinateArray(0,0,bmw,0,bmw,bmh,0,bmh)
mesh:setIndexArray(1,2,3,1,3,4)
mesh:setTexture(tbitmap)
mesh:setTextureSlot(1,tpattern)
mesh:setShader(shader)
--Set pattern scale
mesh:setShaderConstant("fPatternScale",Shader.CFLOAT,1,0.7)

stage:addChild(mesh)
